// Barrel grouping all form field components
// See https://basarat.gitbooks.io/typescript/docs/tips/barrel.html

// export { DynaformComponent } from './../dynaform.component';
// export { TextComponent } from './native/text/text.component';
// export { TextareaComponent } from './native/textarea/textarea.component';
// export { PasswordComponent } from './native/password/password.component';
// export { SelectComponent } from './native/select/select.component';
// export { RadioComponent } from './native/radio/radio.component';
export { HiddenComponent } from './native/hidden/hidden.component';

export { ClrTextComponent as TextComponent } from './clarity/text/clr-text.component';
export { ClrTextareaComponent as TextareaComponent } from './clarity/textarea/clr-textarea.component';
export { ClrPasswordComponent as PasswordComponent } from './clarity/password/clr-password.component';
export { ClrSelectComponent as SelectComponent } from './clarity/select/clr-select.component';
export { ClrRadioComponent as RadioComponent } from './clarity/radio/clr-radio.component';
export { ClrCheckboxComponent as CheckboxComponent } from './clarity/checkbox/clr-checkbox.component';
export { ClrDatepickerComponent } from './clarity/datepicker/datepicker.component';

export { CheckbuttonComponent } from './custom/checkbutton/checkbutton.component';
export { DropdownModifiedInputComponent } from './custom/dropdown-modified-input/dropdown-modified-input.component';
export { MultilineComponent } from './custom/multiline/multiline.component';
export { ClrCheckboxGroupComponent as CheckboxGroupComponent } from './group/checkbox-group/clr-checkbox-group.component';
export { CheckbuttonGroupComponent } from './group/checkbutton-group/checkbutton-group.component';

export { ButtonGroupComponent } from './nocontrol/button-group/button-group.component';
export { HeadingComponent } from './nocontrol/heading/heading.component';
export { DisplayComponent } from './nocontrol/display/display.component';
